#
# spec file for package perl-Syntax-Keyword-Try
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Syntax-Keyword-Try
Version:        0.11
Release:        bp153.1.16
%define cpan_name Syntax-Keyword-Try
Summary:        C<try/catch/finally> syntax for perl
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(Module::Build) >= 0.400400
BuildRequires:  perl(Test::More) >= 0.88
%{perl_requires}

%description
This module provides a syntax plugin that implements exception-handling
semantics in a form familiar to users of other languages, being built on a
block labeled with the 'try' keyword, followed by at least one of a 'catch'
or 'finally' block.

As well as providing a handy syntax for this useful behaviour, this module
also serves to contain a number of code examples for how to implement
parser plugins and manipulate optrees to provide new syntax and behaviours
for perl code.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Build.PL installdirs=vendor optimize="%{optflags}"
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Sun Sep  8 2019 <timueller+perl@suse.de>
- updated to 0.11
  see /usr/share/doc/packages/perl-Syntax-Keyword-Try/Changes
  0.11    2019-09-07
    [CHANGES]
  * Use wrap_keyword_plugin() instead of direct access to
    PL_keyword_plugin
    [BUGFIXES]
  * Build OP_ENTER/OP_LEAVE structure the correct way so perl 5.31.3
    doesn't crash
  * Fix OP_NEXT/OP_LAST/OP_REDO mangling for perl 5.31.3 to avoid
    CPU spin (RT129975)
* Fri Jun 14 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.10
  see /usr/share/doc/packages/perl-Syntax-Keyword-Try/Changes
  0.10    2019-06-13
    [CHANGES]
  * Added experimental value-semantic expression form (RT121267)
  * Document that the module works nicely with Future::AsyncAwait
  * Ignore import symbols `catch` and `finally`
    [BUGFIXES]
  * Fixed spelling mistakes in documentation (patch from debian)
    (RT124140)
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- initial package 0.09
  * created by cpanspec 1.78.09
